Recent Posts

Pages: 1 2 3 [4] 5 6 7 8 9 10
31
Development / Re: Config save bug query
« Last post by BlueHazzard on January 18, 2022, 01:17:56 am »
Sry, i was not able to look at this, for now... I have to make a reminder for this....
I think it would be better to create a ticket...
32
Using Code::Blocks / Re: Can't add X11 to search directory
« Last post by BlueHazzard on January 18, 2022, 01:15:52 am »
We are not the maintainer for the flat pack distribution, we even didn't knew this exists.
Some time ago a user asked if he could distribute the flat pack and one of our devs said, that this is not a good idea, because of the file access rights (like you experienced)...
At this time i looked at this and it was not possible to add only read permission, or at least i did not find it...

On the other hand, whoever is building the flatpak could simply update the permissions to allow access to the host filesystem, depending on security requirements read-only to (almost) everything and write-access only to the home directory.
So you say, this is now possible?
It would be great to have some flatpack codeblocks... Will have to look into it....
33
Help / Re: Squirrel Build Script Syntax Error: expected 'IDENTIFIER'
« Last post by BlueHazzard on January 18, 2022, 01:08:30 am »
base is a keyword in squirrel, so you have to use an other parameter variable name
34
Development / Remove coders query from plugins
« Last post by BlueHazzard on January 17, 2022, 11:28:22 pm »
It seems that coders query, alias black duck is now www.openhub.net and i do not seem to find the code search, it looks like some spamy website, with no real benefit (i am open if some one disagrees with me)

we probably should remove the plugin from our code base...

Edit: Ticket: https://sourceforge.net/p/codeblocks/tickets/1180/
35
Help / Re: Squirrel Build Script Syntax Error: expected 'IDENTIFIER'
« Last post by The_GTA on January 17, 2022, 10:42:57 pm »
Hi,
It seems an issue related to Character Encoding.
Could you open the file and save it as UTF-8?
I think that Squirell is compiled without Unicode support.
Regards
Glad to hear from you, jordi!

I have tried switching to UTF-8 encoding but the same error has appeared. If you have managed to create a working version of the Squirrel build script yourself, could you please share it with me? I am really confused by this.

A different error did show if I switched to UTF-8 with BOM, though. Then it did complain about "expression expected" instead. I have never tried this encoding before and previously all my scripts were stored as Code Page Property (SciTE).

Last time I tried to compile using Squirrel build scripts was in revision 12312 and it worked back then. Since then a lot of changes have been made, including to the Squirrel source and build files... Could this issue be related to the changes?
36
Help / Re: Squirrel Build Script Syntax Error: expected 'IDENTIFIER'
« Last post by jordi on January 17, 2022, 10:16:11 pm »
Hi,
It seems an issue related to Character Encoding.
Could you open the file and save it as UTF-8?
I think that Squirell is compiled without Unicode support.
Regards
37
Using Code::Blocks / Re: Can't add X11 to search directory
« Last post by sodev on January 17, 2022, 09:22:59 pm »
On the other hand, whoever is building the flatpak could simply update the permissions to allow access to the host filesystem, depending on security requirements read-only to (almost) everything and write-access only to the home directory.
38
Using Code::Blocks / Re: Can't add X11 to search directory
« Last post by AzureZero on January 17, 2022, 08:14:17 pm »
Yeah I found that out after the terminal didn't see Codeblocks as a program.

Thanks for helping me through this as I would not of expected it to be an issue of the software centre choosing a flatpak installation which has issues.

It might be a good idea to pin that Flatpak installs will likely have issues, and that installation should be done via the terminal and not the software centre as the software centre may only install flatpak versions when a non-flatpak version is available via the terminal.
It should also help lessen the chance of this problem coming up again and causing two or more people to bang their head against a coding wall. Well one sign of the issue for checking is if headers in the usr/include folder can't be found, it likely is a flatpak installation issue.

Maybe a pinned FAQ of problems could help folks find some of the rare problems and it's solution.
39
Contributions to C::B / Re: Code::Blocks' translation
« Last post by LETARTARE on January 17, 2022, 04:37:27 pm »
Thanks for your tests.

In doubt I recompiled 'wx-315' and the size of the result was different from the old one, even though I used the same source and the same compiler and the same build script ??
With this recompiled version, no more problem with your translation files compiled by 'Poedit'.

Thanks for the translations.
40
Help / [SOLVED] Squirrel Build Script Syntax Error: expected 'IDENTIFIER'
« Last post by The_GTA on January 17, 2022, 04:18:37 pm »
Dear CB community, I have compiled the most recent Code::Blocks nightly revision 12655 on Ubuntu 20.04 using wxWidgets 3.1.5, GTK 3. When I try to run any of my Code::Blocks Squirrel build scripts I receive the following error:



Quote
Invalid build script: script
First seen in: project
Error:
  expected 'IDENTIFIER'

Content of the script:
Code
function SetBuildOptions(base)
{

}

What do I have to do to fix it? Please help me!
Pages: 1 2 3 [4] 5 6 7 8 9 10